import request from '@/utils/request'

// 启动除名告知业务
export function expelledNoticeStartBiz(data) {
  return request({
    url: '/expelled/notice/startBiz',
    method: 'post',
    data
  })
}

// 获取除名告知业务详情
export function expelledNoticeGetBiz(bizId) {
  return request({
    url: `/expelled/notice/getBiz?bizId=${bizId}`,
    method: 'get'
  })
}

// 除名告知业务审批流程
export function expelledNoticeNextBiz(data) {
  return request({
    url: '/expelled/notice/nextBiz',
    method: 'post',
    data: data
  })
}

// 分页查询可引用的市场主体拟除名告知业务信息
export function listTodoNoticeInfo(data) {
  return request({
    url: '/expelled/notice/toDo',
    method: 'post',
    data
  })
}

// 启动除名异议业务
export function expelledObjectionStartBiz(data) {
  return request({
    url: '/expelled/objection/startBiz',
    method: 'post',
    data
  })
}

// 获取除名异议业务详情
export function expelledObjectionGetBiz(bizId) {
  return request({
    url: `/expelled/objection/getBiz?bizId=${bizId}`,
    method: 'get'
  })
}

// 除名异议业务审批流程
export function expelledObjectionNextBiz(data) {
  return request({
    url: '/expelled/objection/nextBiz',
    method: 'post',
    data: data
  })
}

// 启动除名决定业务
export function expelledAuditStartBiz(data) {
  return request({
    url: '/expelled/audit/startBiz',
    method: 'post',
    data
  })
}

// 获取除名决定业务详情
export function expelledAuditGetBiz(bizId) {
  return request({
    url: `/expelled/audit/getBiz?bizId=${bizId}`,
    method: 'get'
  })
}

// 除名决定业务审批流程
export function expelledAuditNextBiz(data) {
  return request({
    url: '/expelled/audit/nextBiz',
    method: 'post',
    data: data
  })
}

// 分页查询除名公告管理
export function expelledAnnouncementList(data) {
  return request({
    url: '/expelled/announcement/list',
    method: 'post',
    data
  })
}











// 启动除名修复业务
export function expelledRepairStartBiz(data) {
  return request({
    url: '/expelled/repair/startBiz',
    method: 'post',
    data
  })
}

// 获取除名修复业务详情
export function expelledRepairGetBiz(bizId) {
  return request({
    url: `/expelled/repair/getBiz?bizId=${bizId}`,
    method: 'get'
  })
}

// 除名修复业务审批流程
export function expelledRepairNextBiz(data) {
  return request({
    url: '/expelled/repair/nextBiz',
    method: 'post',
    data: data
  })
}

// 启动除名复议业务
export function expelledReviewStartBiz(data) {
  return request({
    url: '/expelled/review/startBiz',
    method: 'post',
    data
  })
}

// 获取除名复议业务详情
export function expelledReviewGetBiz(bizId) {
  return request({
    url: `/expelled/review/getBiz?bizId=${bizId}`,
    method: 'get'
  })
}

// 除名复议业务审批流程
export function expelledReviewNextBiz(data) {
  return request({
    url: '/expelled/review/nextBiz',
    method: 'post',
    data: data
  })
}

// 启动除名撤销业务
export function expelledRevokeStartBiz(data) {
  return request({
    url: '/expelled/revoke/startBiz',
    method: 'post',
    data
  })
}

// 获取除名撤销业务详情
export function expelledRevokeGetBiz(bizId) {
  return request({
    url: `/expelled/revoke/getBiz?bizId=${bizId}`,
    method: 'get'
  })
}

// 除名撤销业务审批流程
export function expelledRevokeNextBiz(data) {
  return request({
    url: '/expelled/revoke/nextBiz',
    method: 'post',
    data: data
  })
}

// 分页查询撤销除名公告管理
export function expelledRevokeListAnnouncement(data) {
  return request({
    url: '/expelled/revoke/listAnnouncement',
    method: 'post',
    data: data
  })
}

